.menubar.tools.menu add command	\
	-label "Export Waveform..."	\
	-command exportCSV
.menubar.tools.menu add separator

#OBSOLETE - called directly from menu
proc exportWave {} {
	global exportChAEnable	\
		exportChBEnable		\
		exportData

	toplevel .export
	wm title .export "Export Waveform Data"
	wm iconname .export "Export"
	#grab .export
	focus .export
	
	frame .export.csv
	
	label .export.csv.title	\
		-text "Export to Comma-Separated Values"	\
		-font {-weight bold -size 10}
	
	checkbutton .export.csv.exportA	\
		-text "Export Channel A Data"	\
		-variable exportChAEnable
	checkbutton .export.csv.exportB	\
		-text "Export Channel B Data"		\
		-variable exportChBEnable
	button .export.csv.export	\
		-text "Export..."		\
		-command exportCSV
		
	grid .export.csv.title -row 0 -column 0 -sticky we
	grid .export.csv.exportA -row 1 -column 0
	grid .export.csv.exportB -row 2 -column 0
	grid .export.csv.export -row 3 -column 0
	
	grid .export.csv -row 0 -column 0
	
	set exportChAEnable 1
	set exportChBEnable 1
	
}

proc exportCSV {} {
	global exportData
	
	if {![info exists exportData]} {
	
		tk_messageBox	\
			-message "No Data to Export"	\
			-default ok	\
			-icon warning	\
			-title "Export Warning"	\
			-type ok
			
		return
	}
	
	set xData [lindex $exportData 0]
	set aData [lindex $exportData 1]
	set bData [lindex $exportData 2]
	set horizontalBox [lindex $exportData 3]
	set stepA [lindex $exportData 4]
	set stepB [lindex $exportData 5]
	
	set dataLength [llength $xData]
	
	#Calculate the time step per x data point
	set timeStep [expr {$horizontalBox*10/$dataLength}]
	
	set types {
		{{CSV Files} {.csv}}
	}
	
	set dataFile [tk_getSaveFile	\
		-filetypes $types	\
		-initialfile "DSO101.csv"	\
		-defaultextension .csv]
	
	if {$dataFile ==""} {return}
	
	if {[catch {open $dataFile w} fileId]} {
		tk_messageBox	\
			-message "Unable to Open File for Writing"	\
			-type ok
		return
	}
	
	puts $fileId {"Time [s],Channel A [V],Channel B [V]"}
	
	set i 0
	foreach xValue $xData aValue $aData bValue $bData {
		puts -nonewline $fileId [expr {$i*$timeStep}]
		puts -nonewline $fileId ","
		puts -nonewline $fileId [expr {(128-$aValue)*$stepA}]
		puts -nonewline $fileId ","
		puts $fileId [expr {(128-$bValue)*$stepB}]
		incr i
		#puts $fileId "$xValue,$aValue,$bValue"
	}

	close $fileId

}